package cn.sh.stc.sict.theme.common.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 糖尿病-字段表
 *
 * @author F_xh
 * @date 2020-07-24 13:54:35
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("theme_table_column_info")
public class ThemeTableColumnInfo extends Model<ThemeTableColumnInfo> {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "")
    private Long id;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private Long tableId;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String code;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String name;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String type;
    /**
     *
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "")
    private Date updateTime;
    /**
     *
     */
    @ApiModelProperty(hidden = true, value = "")
    private Byte isTableShow;
    /**
     *
     */
    @ApiModelProperty(hidden = true, value = "")
    private Byte isSearch;
    /**
     *
     */
    @ApiModelProperty(hidden = true, value = "")
    private Integer sort;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
