package cn.sh.stc.sict.theme.common.service.impl;

import cn.sh.stc.sict.theme.common.dao.ThemeTableInfoMapper;
import cn.sh.stc.sict.theme.common.model.ThemeTableInfo;
import cn.sh.stc.sict.theme.common.service.ThemeTableInfoService;
import cn.sh.stc.sict.theme.common.vo.ThemeTableInfoVO;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;


@AllArgsConstructor
@Service("themeTableInfoService")
public class ThemeTableInfoServiceImpl extends ServiceImpl<ThemeTableInfoMapper, ThemeTableInfo> implements ThemeTableInfoService {

    private final ThemeTableInfoMapper themeTableInfoMapper;

    @Override
    public List<ThemeTableInfoVO> listInfo(String theme) {
        return themeTableInfoMapper.listInfo(theme);
    }
}
