package cn.sh.stc.sict.theme.hpgp.model;

import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 黄浦全科导诊——忙闲预测(HpgpBusyIdle_ prediction)表实体类
 *
 * @author zhangly
 * @since 2022-01-14 09:56:39
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class HpgpBusyIdlePrediction extends Model<HpgpBusyIdlePrediction> {
//医院代码
@ApiModelProperty(hidden = false, value = "医院代码")
private String hospitalCode;
//医院名称
@ApiModelProperty(hidden = false, value = "医院名称")
private String hospitalName;
//科室代码
@ApiModelProperty(hidden = false, value = "科室代码")
private String deptCode;
//科室名称
@ApiModelProperty(hidden = false, value = "科室名称")
private String deptName;
//预测日期
@ApiModelProperty(hidden = false, value = "预测日期")
private Date predictionDate;
//忙闲评分
@ApiModelProperty(hidden = false, value = "忙闲评分")
private Integer score;


        }
