package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * (HpHosInfo)表实体类
 *
 * @author makejava
 * @since 2021-01-28 10:35:59
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class HpHosInfo extends Model<HpHosInfo> {
    @TableId
    @ApiModelProperty(hidden = false, value = "医院代码")
    private String hosOrgCode;
    @ApiModelProperty(hidden = false, value = "卫生机构(组织)代码")
    private String orgCode;
    @ApiModelProperty(hidden = false, value = "医院名称")
    private String hosName;
    @ApiModelProperty(hidden = false, value = "医院地址")
    private String hospitalAdd;
    @ApiModelProperty(hidden = false, value = "预约挂号须知")
    private String hospitalRule;
    @ApiModelProperty(hidden = false, value = "医院网址")
    private String hospitalWeb;
    @ApiModelProperty(hidden = false, value = "交通指南")
    private String trafficGuide;
    @ApiModelProperty(hidden = false, value = "医院简介")
    private String hospitalDesc;
    @ApiModelProperty(hidden = false, value = "联系电话")
    private String hospitalTel;
    @ApiModelProperty(hidden = false, value = "医院级别")
    private String hospitalGrade;
    @ApiModelProperty(hidden = false, value = "医院等级")
    private String hospitalLevel;
    @ApiModelProperty(hidden = false, value = "医院类别")
    private String hospitalType;
    @ApiModelProperty(hidden = false, value = "支付方式")
    private String payMode;
    @ApiModelProperty(hidden = false, value = "预约方式")
    private String orderMode;
    @ApiModelProperty(hidden = false, value = "是否支持分时段")
    private String isSpTime;
    @ApiModelProperty(hidden = false, value = "医院简称")
    private String shortName;
    @ApiModelProperty(hidden = false, value = "医院属性")
    private String orgSort;
    @ApiModelProperty(hidden = false, value = "所属区代码")
    private String hospitalArea;
    @ApiModelProperty(hidden = false, value = "医院图片")
    private String hospitalImage;


    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.hosOrgCode;
    }
}