package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 高血压-医生-接诊疾病图谱
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_doctor_op_disease_map")
public class HphyDoctorOpDiseaseMap extends Model<HphyDoctorOpDiseaseMap> {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "")
    private Long id;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private Long parentId;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private Long doctorId;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String relation;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String name;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private Integer count;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String fill;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String stroke;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private Integer size;
    /**
     *
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "")
    private Date updateTime;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
