package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 患者检验检查表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_patient_check")
public class HphyPatientCheck extends Model<HphyPatientCheck> {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "")
    private Long id;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String diagVId;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private Long diagId;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String patientVId;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private Long patientId;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String doctorId;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String doctorName;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String type;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String itemName;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String itemResult;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
