package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 服务评价表
 *
 * @author F_xh
 * @date 2020-09-29 15:05:30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_wszy_service_eva")
public class HphyWszyServiceEva extends Model<HphyWszyServiceEva> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "ID")
    private Long id;
    /**
     * 执行序号
     */
    @ApiModelProperty(hidden = false, value = "执行序号")
    private String execNo;
    /**
     * 评分
     */
    @ApiModelProperty(hidden = false, value = "评分")
    private String evaScore;
    /**
     * 评价
     */
    @ApiModelProperty(hidden = false, value = "评价")
    private String eva;
    /**
     * 评分时间
     */
    @ApiModelProperty(hidden = false, value = "评分时间")
    private Date evaTime;
    /**
     * 确认完成
     */
    @ApiModelProperty(hidden = false, value = "确认完成")
    private String confirmComplete;
    /**
     * 服务评价满意度
     */
    @ApiModelProperty(hidden = false, value = "服务评价满意度")
    private String serviceEvaSatisfaction;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
