package cn.sh.stc.sict.theme.hphy.service;

import cn.sh.stc.sict.theme.hphy.model.HpDocInfo;
import cn.sh.stc.sict.theme.hphy.model.HphyGuideRecord;
import cn.sh.stc.sict.theme.hphy.vo.DoctorMatchVO;
import cn.sh.stc.sict.theme.hphy.vo.PythonResult;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * (HpDocInfo)表服务接口
 *
 * @author makejava
 * @since 2021-01-28 10:35:59
 */
public interface HpDocInfoService extends IService<HpDocInfo> {

    /**
     * 根据医生的资源id判断医生是否存在
     * @param resourceCode
     * @return true-存在；false-不存在
     */
    boolean doctorExist(String resourceCode);

    List<DoctorMatchVO> getRecommendList(HphyGuideRecord guide, List<PythonResult> pythonList);

    void saveDoctor(List<HpDocInfo> docInfos, String hosOrgCode);
}