package cn.sh.stc.sict.theme.hphy.vo;

import lombok.Data;

/**
 * @author zhangly
 * @Description AI 语音推送接口参数DTO
 * @Date 2020/10/9 13:45
 **/
@Data
public class JhAiCallParamDTO {
    /** 第三方任务的唯一标示ID（必填） */
    private String taskId;
    /** 患者姓名（必填） */
    private String patientName;
    /** 患者手机号（必填） */
    private String patientPhone;
    /** 计划执行日期 (yyyy-MM-dd)（必填） */
    private String planExecuteBeginTime;
    /** 固定值: X0101（必填） */
    private String hospCode = "X0101";
    /** 审核医生名 */
    private String reservedField1;
    /** 当前病区名称 */
    private String reservedField2;
    /** 药品名 */
    private String reservedField3;
    /** 固定值: 4700032570222（必填） */
    private String cloudFormId = "4700032570222";
}
