package cn.sh.stc.sict.theme;

import cn.sh.stc.sict.cloud.common.security.annotation.EnableSictFeignClients;
import cn.sh.stc.sict.cloud.common.security.annotation.EnableSictResourceServer;
import cn.sh.stc.sict.cloud.common.swagger.annotation.EnableSictSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @author F_xh
 */
@EnableScheduling
@EnableSictSwagger2
@SpringCloudApplication
@EnableSictFeignClients
@EnableTransactionManagement
@EnableSictResourceServer(details = true)
public class HyThemeApplication {

    public static void main(String[] args) {
        SpringApplication.run(HyThemeApplication.class, args);
    }

}
