package cn.sh.stc.sict.theme.common.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 黄埔-附件管理
 *
 * @author F_xh
 * @date 2020-12-24 10:29:48
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hphy_attachment")
public class HphyAttachment extends Model<HphyAttachment> {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "")
    private Long id;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private Long bizId;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String bucketName;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String name;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String uuidName;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String type;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String size;
    /**
     *
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "")
    private Date createTime;
    /**
     *
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "")
    private Date updateTime;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
