package cn.sh.stc.sict.theme.common.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 糖尿病表分类表
 *
 * @author F_xh
 * @date 2020-07-24 13:54:35
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("theme_table_info")
public class ThemeTableInfo extends Model<ThemeTableInfo> {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "")
    private Long id;
    private String theme;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String typeCode;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String typeName;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String tableName;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String tableCode;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private Integer columnSize;
    /**
     *
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "")
    private Date updateTime;
    /**
     *
     */
    @ApiModelProperty(hidden = true, value = "")
    private Byte isShow;

    private Integer sort;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
