package cn.sh.stc.sict.theme.hpgp.model;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 黄浦全科导诊——检验检查云词(HpgpInspectionCheck)表实体类
 *
 * @author zhangly
 * @since 2022-01-14 09:56:49
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class HpgpInspectionCheck extends Model<HpgpInspectionCheck> {
    //医院代码
    @ApiModelProperty(hidden = false, value = "医院代码")
    private String hospitalCode;
    //医院名称
    @ApiModelProperty(hidden = false, value = "医院名称")
    private String hospitalName;
    //科室代码
    @ApiModelProperty(hidden = false, value = "科室代码")
    private String deptCode;
    //科室名称
    @ApiModelProperty(hidden = false, value = "科室名称")
    private String deptName;
    //检验检查项目名称
    @ApiModelProperty(hidden = false, value = "检验检查项目名称")
    private String itemName;


}
