package cn.sh.stc.sict.theme.hphy.controller.mp;


import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.theme.hphy.service.HpDeptInfoService;
import com.baomidou.mybatisplus.extension.api.ApiController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * (HpDeptInfo)维护接口
 *
 * @author makejava
 * @since 2021-01-28 10:35:58
 */
@Api(value = "[C] 黄浦预约——科室信息接口", tags = "[C] 黄浦预约——科室信息接口")
@RestController
@RequestMapping("/hphy/c/dept")
@AllArgsConstructor
public class HpDeptInfoController extends ApiController {
    /**
     * 服务对象
     */
    private final HpDeptInfoService hpDeptInfoService;

    @ApiOperation("科室医生查询接口")
    @GetMapping
    public R<?> getDeptDoctors(@ApiParam("医院代码") @RequestParam("hospitalCode") String hospitalCode,
                               @ApiParam("科室代码") @RequestParam("deptCode") String deptCode){
        return new R<>(hpDeptInfoService.getDeptDoctors(hospitalCode, deptCode));
    }
}
