package cn.sh.stc.sict.theme.hphy.dao;

import cn.sh.stc.sict.theme.hphy.model.HphyGuideRecord;
import cn.sh.stc.sict.theme.hphy.vo.DiseaseAnalysisDTO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * 高血压-患者-导医记录
 *
 * @author F_xh
 * @date 2020-09-30 14:47:53
 */
@Mapper
public interface HphyGuideRecordMapper extends BaseMapper<HphyGuideRecord> {

    List<DiseaseAnalysisDTO> listAnalysis(Long guideId);

    List<DiseaseAnalysisDTO> listAnalysis(@Param("questionIds") Collection<String> questionIds, @Param("answerIds") Collection<String> answerIds);
}
