package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * (HpDeptInfo)表实体类
 *
 * @author makejava
 * @since 2021-01-28 10:35:57
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class HpDeptInfo extends Model<HpDeptInfo> {
    @TableId
    @ApiModelProperty(hidden = false, value = "id")
    private Long id;
    @ApiModelProperty(hidden = false, value = "医院代码")
    private String hosOrgCode;
    @ApiModelProperty(hidden = false, value = "一级科室代码")
    private String oneDeptCode;
    @ApiModelProperty(hidden = false, value = "二级科室代码")
    private String deptCode;
    @ApiModelProperty(hidden = false, value = "医院名称")
    private String hosName;
    @ApiModelProperty(hidden = false, value = "一级科室名称")
    private String oneDeptName;
    @ApiModelProperty(hidden = false, value = "二级科室名称")
    private String deptName;
    @ApiModelProperty(hidden = false, value = "标准二级科室代码")
    private String normdeptCode;
    @ApiModelProperty(hidden = false, value = "标准二级科室名称")
    private String normdeptName;
    @ApiModelProperty(hidden = false, value = "科室简介")
    private String deptDesc;
    @ApiModelProperty(hidden = false, value = "科室级别：1-一级，2-二级")
    private Byte deptLevel;
    @ApiModelProperty(hidden = false, value = "显示次序")
    private String indexNo;


    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}