package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * (HpDocInfo)表实体类
 *
 * @author makejava
 * @since 2021-01-28 10:35:58
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class HpDocInfo extends Model<HpDocInfo> {
    @TableId
    @ApiModelProperty(hidden = false, value = "id")
    private Long id;
    @ApiModelProperty(hidden = false, value = "医生资源代码")
    private String resourceCode;
    @ApiModelProperty(hidden = false, value = "医院代码")
    private String hosOrgCode;
    @ApiModelProperty(hidden = false, value = "一级科室代码")
    private String oneDeptCode;
    @ApiModelProperty(hidden = false, value = "二级科室代码")
    private String deptCode;
    @ApiModelProperty(hidden = false, value = "医院名称")
    private String hosName;
    @ApiModelProperty(hidden = false, value = "一级科室名称")
    private String oneDeptName;
    @ApiModelProperty(hidden = false, value = "二级科室名称")
    private String deptName;
    @ApiModelProperty(hidden = false, value = "医生资源姓名")
    private String resourceName;
    @ApiModelProperty(hidden = false, value = "医生职称")
    private String doctTile;
    @ApiModelProperty(hidden = false, value = "证件类型")
    private String personType;
    @ApiModelProperty(hidden = false, value = "证件号")
    private String personId;
    @ApiModelProperty(hidden = false, value = "医生头像")
    private String doctImg;
    @ApiModelProperty(hidden = false, value = "医生性别")
    private String doctSex;
    @ApiModelProperty(hidden = false, value = "医生简介")
    private String doctInfo;
    @ApiModelProperty(hidden = false, value = "医生特长")
    private String doctSpecialty;
    @ApiModelProperty(hidden = false, value = "展示次序")
    private String indexNo;
    @ApiModelProperty(hidden = false, value = "是否有资源（0有，1无）")
    private String isResource;


    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}