package cn.sh.stc.sict.theme.hphy.service;

import cn.sh.stc.sict.theme.hphy.model.HpDeptInfo;
import cn.sh.stc.sict.theme.hphy.vo.DeptDoctorsVO;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * (HpDeptInfo)表服务接口
 *
 * @author makejava
 * @since 2021-01-28 10:35:58
 */
public interface HpDeptInfoService extends IService<HpDeptInfo> {

    /**
     * 根据医院代码和科室代码查询医生信息
     * @param hospitalCode
     * @param deptCode
     * @return
     */
    DeptDoctorsVO getDeptDoctors(String hospitalCode, String deptCode);
}
