package cn.sh.stc.sict.theme.hphy.service;

import cn.sh.stc.sict.cloud.common.core.dto.WDUserCardInfo;
import cn.sh.stc.sict.cloud.common.core.dto.WDUserInfo;
import cn.sh.stc.sict.cloud.upms.dto.CurrentUser;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.sh.stc.sict.theme.hphy.model.HphyPatientBase;

import java.util.List;

/**
 * 患者基本信息
 *
 * @author F_xh
 * @date 2020-09-29 15:05:29
 */
public interface HphyPatientBaseService extends IService<HphyPatientBase> {
    HphyPatientBase getByOpenId(String openId);

    HphyPatientBase saveSSbInfo(CurrentUser current, WDUserInfo userInfo, List<WDUserCardInfo> cardList);
}

