package cn.sh.stc.sict.theme.hphy.service.impl;


import cn.sh.stc.sict.theme.hphy.dao.HphyGuideMatchMapper;
import cn.sh.stc.sict.theme.hphy.model.HphyGuideMatch;
import cn.sh.stc.sict.theme.hphy.service.HphyGuideMatchService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("hphyGuideMatchService")
@AllArgsConstructor
public class HphyGuideMatchServiceImpl extends ServiceImpl<HphyGuideMatchMapper, HphyGuideMatch> implements HphyGuideMatchService {

    private final HphyGuideMatchMapper hphyGuideMatchMapper;

    @Override
    @Async
    public void asyncSaveBatch(List<HphyGuideMatch> matchList) {
        this.saveBatch(matchList);
    }
}
