package cn.sh.stc.sict.theme.hphy.vo;

import cn.hutool.json.JSONArray;
import cn.sh.stc.sict.theme.hphy.model.HpDocInfo;
import cn.sh.stc.sict.theme.hphy.model.HphyPatientBase;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DoctorPatientMatchVO {
    // 患者信息
    private HphyPatientBase patient;
    // 患者标签
    private List<LabelVO> patientLabelList1;
    private JSONArray patientLabelList2;
    // 医生信息
    private HpDocInfo doctor;
    // 医生标签
    private JSONArray doctorLabelList;
}
