package cn.sh.stc.sict.theme.hphy.wd;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

/**
 * 医院信息
 */
@Data
@XStreamAlias("HosInfo")
public class HosInfo {
    public String hosOrgCode;
    public String orgCode;
    public String hosName;
    public String hospitalAdd;
    public String hospitalRule;
    public String hospitalWeb;
    public String trafficGuide;
    public String hospitalDesc;
    public String hospitalTel;
    public String hospitalGrade;
    public String hospitalLevel;
    public String hospitalType;
    public String payMode;
    public String orderMode;
    public String isSpTime;
    public String shortName;
    public String orgSort;
    public String hospitalArea;
    public String hospitalImage;

    public HosInfo(){}
    public HosInfo(String hosOrgCode){
        this.hosOrgCode = hosOrgCode;
    }
}
